## org.eclipse.emf.mapping.impl
Class MappingRootImpl.MappedObjectStateAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.mapping.impl.MappingRootImpl.MappedObjectStateAdapter

All Implemented Interfaces:
  Adapter, Adapter.Internal, IChangeNotifier, IDisposable, MappedObjectState

Enclosing class:
  MappingRootImpl

    protected class MappingRootImpl.MappedObjectStateAdapter

extends AdapterImpl
implements MappedObjectState, IDisposable

This is a simple implementation of the basic information that needs to be maintained for any mapped object.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary
`protected ChangeNotifier` `changeNotifier` This is where `IChangeNotifier` is delegated.
`protected boolean` `isInput` This indicates whether the mapped object is an input.
`protected boolean` `isOutput` This indicates whether the object is an output.
`protected java.util.Collection<Mapping>` `mappings` This keeps track of all the mappings that involve the mapped object.
`protected java.lang.Object` `originatingInput` This keeps track of the originating input of the mapped object, if any.

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`protected` `MappingRootImpl.MappedObjectStateAdapter()`

Method Summary
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds another listener.
`void` `dispose()` This is called to dispose the object.
`void` `fireNotifyChanged(Notification notification)` This calls `notifyChanged` for each listener.
`java.util.Collection<Mapping>` `getMappings()` This returns all the mappings the refer to the mapped object.
`java.lang.Object` `getOriginatingInput()` This returns, if appropriate, the originating input object of the output object.
`boolean` `isAdapterForType(java.lang.Object type)` This returns when type is the `MappingRootImpl.mappedObjectStateAdapterFactory`.
`boolean` `isInput()` This returns whether the mapped object is an input.
`boolean` `isOutput()` This returns whether the mapped object is an output.
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setInput()` This is called to indicate that the mapped object is an input.
`void` `setOriginatingInput(java.lang.Object originatingInput)` This sets the originating input object of the output object.
`void` `setOutput()` This is called to indicate that the mapped object is an output.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isInput

    protected boolean isInput

  This indicates whether the mapped object is an input.

### isOutput

    protected boolean isOutput

  This indicates whether the object is an output.

### originatingInput

    protected java.lang.Object originatingInput

  This keeps track of the originating input of the mapped object, if any.

### mappings

    protected java.util.Collection<Mapping> mappings

  This keeps track of all the mappings that involve the mapped object.

### changeNotifier

    protected ChangeNotifier changeNotifier

  This is where `IChangeNotifier` is delegated.

Constructor Detail

### MappingRootImpl.MappedObjectStateAdapter

    protected MappingRootImpl.MappedObjectStateAdapter()

Method Detail

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  This returns when type is the `MappingRootImpl.mappedObjectStateAdapterFactory`.

  Specified by:
    `isAdapterForType` in interface `Adapter`
  Overrides:
    `isAdapterForType` in class `AdapterImpl`
  Parameters:
    `type` - the type.
  Returns:
    `false`
  See Also:
    `AdapterFactory.isFactoryForType(java.lang.Object)`

### isInput

    public boolean isInput()

  Description copied from interface: `MappedObjectState`
  This returns whether the mapped object is an input.

  Specified by:
    `isInput` in interface `MappedObjectState`

### setInput

    public void setInput()

  Description copied from interface: `MappedObjectState`
  This is called to indicate that the mapped object is an input.

  Specified by:
    `setInput` in interface `MappedObjectState`

### isOutput

    public boolean isOutput()

  Description copied from interface: `MappedObjectState`
  This returns whether the mapped object is an output.

  Specified by:
    `isOutput` in interface `MappedObjectState`

### setOutput

    public void setOutput()

  Description copied from interface: `MappedObjectState`
  This is called to indicate that the mapped object is an output.

  Specified by:
    `setOutput` in interface `MappedObjectState`

### getOriginatingInput

    public java.lang.Object getOriginatingInput()

  Description copied from interface: `MappedObjectState`
  This returns, if appropriate, the originating input object of the output object.

  Specified by:
    `getOriginatingInput` in interface `MappedObjectState`

### setOriginatingInput

    public void setOriginatingInput(java.lang.Object originatingInput)

  Description copied from interface: `MappedObjectState`
  This sets the originating input object of the output object.

  Specified by:
    `setOriginatingInput` in interface `MappedObjectState`

### getMappings

    public java.util.Collection<Mapping> getMappings()

  Description copied from interface: `MappedObjectState`
  This returns all the mappings the refer to the mapped object.

  Specified by:
    `getMappings` in interface `MappedObjectState`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  Description copied from interface: `IChangeNotifier`
  This adds another listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  Description copied from interface: `IChangeNotifier`
  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  Description copied from interface: `IChangeNotifier`
  This calls `notifyChanged` for each listener.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### dispose

    public void dispose()

  Description copied from interface: `IDisposable`
  This is called to dispose the object.

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.